import { SerializerFunction, DeserializerFunction } from '@src/shared/utils';
import { Ref } from '@src/api';
export interface StorageOptions {
    isParsing: boolean;
    serializer?: SerializerFunction;
    deserializer?: DeserializerFunction;
}
export declare function createStorage(storage: Storage, key: string, options?: StorageOptions): {
    item: Ref<any>;
    getItem: () => void;
    setItem: (newVal: any) => void;
    removeItem: () => void;
};
