import { Ref } from '@src/api';
import { ResizeObserverEntry, ResizeObserverObserveOptions } from '@src/types/ResizeObserver';
export declare function useSize(elRef: Ref<null | HTMLElement>, options?: ResizeObserverObserveOptions, runOnMount?: boolean): {
    observedEntry: Ref<ResizeObserverEntry | null>;
    isTracking: Ref<boolean>;
    start: () => void;
    stop: () => void;
};
